Package logilab :: Package common :: Module vcgutils :: Class VCGPrinter

[frames] | no frames]

# Class VCGPrinter

source code

    A vcg graph writer.

Instance Methods

__init__(self, output_stream) | source code

open_graph(self, **args) open a vcg graph... | source code

close_graph(self) close a vcg graph... | source code

node(self, title, **args) draw a node... | source code

edge(self, from_node, to_node, edge_type='', **args) draw an edge from a node to another. | source code

Method Details

### open_graph(self, **args)

source code

    open a vcg graph

### close_graph(self)

source code

    close a vcg graph

### node(self, title, **args)

source code

    draw a node